EMF::EMRSETPIXELV(3)

NAME
EMF::EMRSETPIXELV - EMF Set Pixel.

SYNOPSIS

#include <libemf.h>

Inherits EMF::METARECORD, and EMRSETPIXELV.

  Public Member Functions

EMRSETPIXELV (INT x, INT y, COLORREF color)
EMRSETPIXELV (DATASTREAM &ds)
bool serialize (DATASTREAM ds)
int size (void) const
void execute (METAFILEDEVICECONTEXT *source, HDC dc) const

Detailed Description

EMF Set Pixel.

Set the given pixel to the given color.

Constructor & Destructor Documentation

  EMF::EMRSETPIXELV::EMRSETPIXELV (INT x, INT y, COLORREF color) [inline]

Parameters
    x x position at which to draw pixel.
    y y position at which to draw pixel.
    color color of pixel.

  EMF::EMRSETPIXELV::EMRSETPIXELV (DATASTREAM & ds) [inline]
Construct a SetPixelV record from the input stream.

Parameters
    ds Metafile datastream.

Member Function Documentation

  void EMF::EMRSETPIXELV::execute (METAFILEDEVICECONTEXT * source, HDC dc) const [inline], [virtual]
Execute this record in the context of the given device context.

Parameters
    source the device context from which this record is taken.
    dc device context for execute.

Implements EMF::METARECORD.

  bool EMF::EMRSETPIXELV::serialize (DATASTREAM ds) [inline], [virtual]

Parameters
    ds Metafile datastream.

Implements EMF::METARECORD.

  int EMF::EMRSETPIXELV::size (void) const [inline], [virtual]
Internally computed size of this record.

Implements EMF::METARECORD.

Author

Generated automatically by Doxygen for libemf from the source code.